function submitForm() {
    var formData = 'form=' + $('.formstack input[name=form]').val();

    $('.fsField').each( function() {
        formData += '&' + $(this).attr('id') + '=' + $(this).val();
    });

    $.ajax({
        url: 'http://quickonboarding.viso.tv/formstack.php',
        async: false,
        type:'POST',
        data:formData,
        success:function ( data ) {
            $('.formstack').fadeOut();
            $('.thanks').fadeIn();
        }, 
    });
}

function validateForm(e) {
    var el = e.target;
    var emailReg = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;

    // Check input fields
    if(e.value == null) {
        el.classList.add('required')
    } else {
        el.classList.remove('required')
    }

    // Check email fields
    if(el.type == 'email' && !emailReg.test(el.value)) {
        el.classList.add('required')
    } 
    else {
        el.classList.remove('required')
    }

    // Toggle submit button
    if($('.fsField').hasClass('required')) {
        $('.submit').addClass('disabled')
    } else {
        $('.submit').removeClass('disabled')
    }

    // Clear if any empty fields
    if($('.fsField').val() == '') {
        $('.submit').addClass('disabled')
    }    
}

$(document).ready(function(e) {
    $('.fsField').focus(function(e) {
        validateForm(e);
    })

    $('.fsField').blur(function(e) {
        validateForm(e);
    })
});

// jQuery('form .submit').click(function(e) {
//     e.preventDefault(); // Cancel the form submit action
//     var form_id = jQuery(this).parents('form').attr('id');
//     var this_form = "fsForm1775897";

//     var inputs = jQuery('#'+this_form+' .fsRequired');
//     var extraInputs = jQuery('#'+this_form+' textarea, #'+this_form+' input[type=checkbox]:checked');
//     var emailReg = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;

//     jQuery(inputs).each( function() {
//         if (jQuery(this).val() == "") {
//             jQuery(this)
//                 .addClass('required');
//         } else {
//             jQuery(this)
//                 .removeClass('required');
//         }
//     });

//     if (!emailReg.test(jQuery('#'+this_form+' input.email').val())) {
//         jQuery('#'+this_form+' input.email').addClass('required');
//     } else {
//         jQuery('#'+this_form+' input.email').removeClass('required');
//     }

//     if ( inputs.hasClass('required') ) {
//         jQuery('.error').fadeIn();
//     } else {
//         jQuery('.error').fadeOut();
//     }

//     if ( !inputs.hasClass('required') ) {
//         var formData = "form=" + jQuery(".formstack input[name=form]").val();

//         jQuery(inputs).each( function() {
//             formData += "&" + jQuery(this).attr("id") + "=" + jQuery(this).val();
//         });
//         jQuery(extraInputs).each( function() {
//             formData += "&" + jQuery(this).attr("id") + "=" + jQuery(this).val();
//         });

//         jQuery.ajax({
//             url: "http://quickonboarding.viso.tv/formstack.php",
//             async: false,
//             type:"POST",
//             data:formData,
//             success:function ( data ) {
//                 jQuery('.formstack').fadeOut();
//                 jQuery('.thanks').fadeIn();
//             }, 
//         });
//     }
// });